@Echo Off
Color F0
Title Disable Blu-Ray disk Mouse support Pop-up - by ADHDerby
Reg Query "HKLM\SOFTWARE\Cyberlink\PowerDVD11" |findstr "InstallPath"
CLS
if errorlevel 1 goto Next
goto 32-bit

:Next
Reg Query "HKLM\SOFTWARE\Wow6432Node\Cyberlink\PowerDVD11" |findstr "InstallPath"
CLS
if errorlevel 1 goto Error
goto 64-bit

:Error
Color 0C
Echo.
Echo  Error 404: Can't find the InstallPath
Echo.
Echo  Please (re)install PowerDVD 11
Echo.
Echo.
Echo  Press a key to Exit . . .
Pause > nul
Color
Exit

:32-bit
Echo.
Echo  Writing registry values . . .
Reg Add HKCU\Software\Cyberlink\PowerDVD11 /v UIASKMouseDlgInBDJ /t REG_DWORD /d 0 /f > nul
Echo.
goto Done

:64-bit
Echo.
Echo  Writing registry values . . .
Reg Add HKCU\Software\Cyberlink\PowerDVD11 /v UIASKMouseDlgInBDJ /t REG_DWORD /d 0 /f > nul
Echo.
goto Done

:Done
Echo  The Blu-Ray disk Mouse support Pop-up is now disabled!
Echo.
Echo  Press a key to Exit . . .
Echo.
Echo.
Echo  Cheers,
Echo.
Echo  ADHDerby
Pause > nul
Color
Exit